## ros-indigo-move-base-msgs 1.12.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_base_msgs)

find_package(catkin REQUIRED
    COMPONENTS
        message_generation
        actionlib_msgs
        geometry_msgs
        )


# actions
add_action_files(
    DIRECTORY action
    FILES
        MoveBase.action
)

generate_messages(
    DEPENDENCIES
        actionlib_msgs
        geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    geometry_msgs
    message_runtime
)

=== debian/changelog ===
ros-indigo-move-base-msgs (1.12.16-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.15-0trusty) trusty; urgency=high

  * Merge pull request #671 <https://github.com/ros-planning/navigation/issues/671> from ros-planning/email_update_indigo
    update maintainer email (indigo)
  * Merge pull request #647 <https://github.com/ros-planning/navigation/issues/647> from aaronhoy/indigo_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 20 Mar 2018 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.14-0trusty) trusty; urgency=high

  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Dec 2017 05:00:00 -0000

ros-indigo-move-base-msgs (1.12.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 15 Aug 2016 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Jun 2016 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.11-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Jun 2016 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 May 2016 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 26 May 2016 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.8-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 May 2016 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.7-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2016 05:00:00 -0000

ros-indigo-move-base-msgs (1.12.6-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 02 Jan 2016 05:00:00 -0000

ros-indigo-move-base-msgs (1.12.5-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.4-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 03 Jun 2015 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.3-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Apr 2015 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.2-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.1-0trusty) trusty; urgency=high

  * Remove unused dependencies in move_base_msgs
  * Contributors: Daniel Stonier

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-indigo-move-base-msgs (1.12.0-0trusty) trusty; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-indigo-move-base-msgs (1.11.15-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-move-base-msgs (1.11.14-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-indigo-move-base-msgs (1.11.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.11-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.8-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.7-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-indigo-move-base-msgs (1.11.4-0trusty) trusty; urgency=high

  * Package URL Updates

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-move-base-msgs
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation
Homepage: http://wiki.ros.org/move_base_msgs
Standards-Version: 3.9.2

Package: ros-indigo-move-base-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime
Description: Holds the action description and relevant messages for the move_base package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-move-base-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
